<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CrossBoarderSearchSetting StructType
 * @package Dg
 * @subpackage Structs
 */
class DgCrossBoarderSearchSetting extends DgBaseEntity
{
    /**
     * The HomeSubagencyEntityID
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * - pattern: [0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}
     * @var string
     */
    public $HomeSubagencyEntityID;
    /**
     * The IsBSPMarket0
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsBSPMarket0;
    /**
     * The CbsMarketID0
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * - pattern: [0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}
     * @var string
     */
    public $CbsMarketID0;
    /**
     * The CbsSubagencyEntityID1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * - pattern: [0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}
     * @var string
     */
    public $CbsSubagencyEntityID1;
    /**
     * The IsBSPMarket1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsBSPMarket1;
    /**
     * The CbsMarketID1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * - pattern: [0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}
     * @var string
     */
    public $CbsMarketID1;
    /**
     * The CbsSubagencyEntityID2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * - pattern: [0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}
     * @var string
     */
    public $CbsSubagencyEntityID2;
    /**
     * The IsBSPMarket2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsBSPMarket2;
    /**
     * The CbsMarketID2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * - pattern: [0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}
     * @var string
     */
    public $CbsMarketID2;
    /**
     * The CbsLogic
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CbsLogic;
    /**
     * The CbsMarketTitle0
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CbsMarketTitle0;
    /**
     * The CbsMarketCode0
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CbsMarketCode0;
    /**
     * The SubAgencyOfficeID0
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SubAgencyOfficeID0;
    /**
     * The Sub0FlightCorporateFareCode1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub0FlightCorporateFareCode1;
    /**
     * The Sub0FlightCorporateFareCode2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub0FlightCorporateFareCode2;
    /**
     * The Sub0FlightCorporateFareCode3
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub0FlightCorporateFareCode3;
    /**
     * The Sub0FlightCorporateFareCode4
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub0FlightCorporateFareCode4;
    /**
     * The Sub0FlightCorporateFareCode5
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub0FlightCorporateFareCode5;
    /**
     * The Sub0FlightCorporateFareCode6
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub0FlightCorporateFareCode6;
    /**
     * The SubAgencyCode0
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SubAgencyCode0;
    /**
     * The SubAgencyTitle0
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SubAgencyTitle0;
    /**
     * The CbsMarketTitle1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CbsMarketTitle1;
    /**
     * The CbsMarketCode1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CbsMarketCode1;
    /**
     * The SubAgencyOfficeID1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SubAgencyOfficeID1;
    /**
     * The Sub1FlightCorporateFareCode1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub1FlightCorporateFareCode1;
    /**
     * The Sub1FlightCorporateFareCode2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub1FlightCorporateFareCode2;
    /**
     * The Sub1FlightCorporateFareCode3
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub1FlightCorporateFareCode3;
    /**
     * The Sub1FlightCorporateFareCode4
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub1FlightCorporateFareCode4;
    /**
     * The Sub1FlightCorporateFareCode5
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub1FlightCorporateFareCode5;
    /**
     * The Sub1FlightCorporateFareCode6
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub1FlightCorporateFareCode6;
    /**
     * The SubAgencyCode1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SubAgencyCode1;
    /**
     * The SubAgencyTitle1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SubAgencyTitle1;
    /**
     * The CbsMarketTitle2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CbsMarketTitle2;
    /**
     * The CbsMarketCode2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CbsMarketCode2;
    /**
     * The SubAgencyOfficeID2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SubAgencyOfficeID2;
    /**
     * The Sub2FlightCorporateFareCode1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub2FlightCorporateFareCode1;
    /**
     * The Sub2FlightCorporateFareCode2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub2FlightCorporateFareCode2;
    /**
     * The Sub2FlightCorporateFareCode3
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub2FlightCorporateFareCode3;
    /**
     * The Sub2FlightCorporateFareCode4
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub2FlightCorporateFareCode4;
    /**
     * The Sub2FlightCorporateFareCode5
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub2FlightCorporateFareCode5;
    /**
     * The Sub2FlightCorporateFareCode6
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Sub2FlightCorporateFareCode6;
    /**
     * The SubAgencyCode2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SubAgencyCode2;
    /**
     * The SubAgencyTitle2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SubAgencyTitle2;
    /**
     * Constructor method for CrossBoarderSearchSetting
     * @uses DgCrossBoarderSearchSetting::setHomeSubagencyEntityID()
     * @uses DgCrossBoarderSearchSetting::setIsBSPMarket0()
     * @uses DgCrossBoarderSearchSetting::setCbsMarketID0()
     * @uses DgCrossBoarderSearchSetting::setCbsSubagencyEntityID1()
     * @uses DgCrossBoarderSearchSetting::setIsBSPMarket1()
     * @uses DgCrossBoarderSearchSetting::setCbsMarketID1()
     * @uses DgCrossBoarderSearchSetting::setCbsSubagencyEntityID2()
     * @uses DgCrossBoarderSearchSetting::setIsBSPMarket2()
     * @uses DgCrossBoarderSearchSetting::setCbsMarketID2()
     * @uses DgCrossBoarderSearchSetting::setCbsLogic()
     * @uses DgCrossBoarderSearchSetting::setCbsMarketTitle0()
     * @uses DgCrossBoarderSearchSetting::setCbsMarketCode0()
     * @uses DgCrossBoarderSearchSetting::setSubAgencyOfficeID0()
     * @uses DgCrossBoarderSearchSetting::setSub0FlightCorporateFareCode1()
     * @uses DgCrossBoarderSearchSetting::setSub0FlightCorporateFareCode2()
     * @uses DgCrossBoarderSearchSetting::setSub0FlightCorporateFareCode3()
     * @uses DgCrossBoarderSearchSetting::setSub0FlightCorporateFareCode4()
     * @uses DgCrossBoarderSearchSetting::setSub0FlightCorporateFareCode5()
     * @uses DgCrossBoarderSearchSetting::setSub0FlightCorporateFareCode6()
     * @uses DgCrossBoarderSearchSetting::setSubAgencyCode0()
     * @uses DgCrossBoarderSearchSetting::setSubAgencyTitle0()
     * @uses DgCrossBoarderSearchSetting::setCbsMarketTitle1()
     * @uses DgCrossBoarderSearchSetting::setCbsMarketCode1()
     * @uses DgCrossBoarderSearchSetting::setSubAgencyOfficeID1()
     * @uses DgCrossBoarderSearchSetting::setSub1FlightCorporateFareCode1()
     * @uses DgCrossBoarderSearchSetting::setSub1FlightCorporateFareCode2()
     * @uses DgCrossBoarderSearchSetting::setSub1FlightCorporateFareCode3()
     * @uses DgCrossBoarderSearchSetting::setSub1FlightCorporateFareCode4()
     * @uses DgCrossBoarderSearchSetting::setSub1FlightCorporateFareCode5()
     * @uses DgCrossBoarderSearchSetting::setSub1FlightCorporateFareCode6()
     * @uses DgCrossBoarderSearchSetting::setSubAgencyCode1()
     * @uses DgCrossBoarderSearchSetting::setSubAgencyTitle1()
     * @uses DgCrossBoarderSearchSetting::setCbsMarketTitle2()
     * @uses DgCrossBoarderSearchSetting::setCbsMarketCode2()
     * @uses DgCrossBoarderSearchSetting::setSubAgencyOfficeID2()
     * @uses DgCrossBoarderSearchSetting::setSub2FlightCorporateFareCode1()
     * @uses DgCrossBoarderSearchSetting::setSub2FlightCorporateFareCode2()
     * @uses DgCrossBoarderSearchSetting::setSub2FlightCorporateFareCode3()
     * @uses DgCrossBoarderSearchSetting::setSub2FlightCorporateFareCode4()
     * @uses DgCrossBoarderSearchSetting::setSub2FlightCorporateFareCode5()
     * @uses DgCrossBoarderSearchSetting::setSub2FlightCorporateFareCode6()
     * @uses DgCrossBoarderSearchSetting::setSubAgencyCode2()
     * @uses DgCrossBoarderSearchSetting::setSubAgencyTitle2()
     * @param string $homeSubagencyEntityID
     * @param bool $isBSPMarket0
     * @param string $cbsMarketID0
     * @param string $cbsSubagencyEntityID1
     * @param bool $isBSPMarket1
     * @param string $cbsMarketID1
     * @param string $cbsSubagencyEntityID2
     * @param bool $isBSPMarket2
     * @param string $cbsMarketID2
     * @param string $cbsLogic
     * @param string $cbsMarketTitle0
     * @param string $cbsMarketCode0
     * @param string $subAgencyOfficeID0
     * @param string $sub0FlightCorporateFareCode1
     * @param string $sub0FlightCorporateFareCode2
     * @param string $sub0FlightCorporateFareCode3
     * @param string $sub0FlightCorporateFareCode4
     * @param string $sub0FlightCorporateFareCode5
     * @param string $sub0FlightCorporateFareCode6
     * @param string $subAgencyCode0
     * @param string $subAgencyTitle0
     * @param string $cbsMarketTitle1
     * @param string $cbsMarketCode1
     * @param string $subAgencyOfficeID1
     * @param string $sub1FlightCorporateFareCode1
     * @param string $sub1FlightCorporateFareCode2
     * @param string $sub1FlightCorporateFareCode3
     * @param string $sub1FlightCorporateFareCode4
     * @param string $sub1FlightCorporateFareCode5
     * @param string $sub1FlightCorporateFareCode6
     * @param string $subAgencyCode1
     * @param string $subAgencyTitle1
     * @param string $cbsMarketTitle2
     * @param string $cbsMarketCode2
     * @param string $subAgencyOfficeID2
     * @param string $sub2FlightCorporateFareCode1
     * @param string $sub2FlightCorporateFareCode2
     * @param string $sub2FlightCorporateFareCode3
     * @param string $sub2FlightCorporateFareCode4
     * @param string $sub2FlightCorporateFareCode5
     * @param string $sub2FlightCorporateFareCode6
     * @param string $subAgencyCode2
     * @param string $subAgencyTitle2
     */
    public function __construct($homeSubagencyEntityID = null, $isBSPMarket0 = null, $cbsMarketID0 = null, $cbsSubagencyEntityID1 = null, $isBSPMarket1 = null, $cbsMarketID1 = null, $cbsSubagencyEntityID2 = null, $isBSPMarket2 = null, $cbsMarketID2 = null, $cbsLogic = null, $cbsMarketTitle0 = null, $cbsMarketCode0 = null, $subAgencyOfficeID0 = null, $sub0FlightCorporateFareCode1 = null, $sub0FlightCorporateFareCode2 = null, $sub0FlightCorporateFareCode3 = null, $sub0FlightCorporateFareCode4 = null, $sub0FlightCorporateFareCode5 = null, $sub0FlightCorporateFareCode6 = null, $subAgencyCode0 = null, $subAgencyTitle0 = null, $cbsMarketTitle1 = null, $cbsMarketCode1 = null, $subAgencyOfficeID1 = null, $sub1FlightCorporateFareCode1 = null, $sub1FlightCorporateFareCode2 = null, $sub1FlightCorporateFareCode3 = null, $sub1FlightCorporateFareCode4 = null, $sub1FlightCorporateFareCode5 = null, $sub1FlightCorporateFareCode6 = null, $subAgencyCode1 = null, $subAgencyTitle1 = null, $cbsMarketTitle2 = null, $cbsMarketCode2 = null, $subAgencyOfficeID2 = null, $sub2FlightCorporateFareCode1 = null, $sub2FlightCorporateFareCode2 = null, $sub2FlightCorporateFareCode3 = null, $sub2FlightCorporateFareCode4 = null, $sub2FlightCorporateFareCode5 = null, $sub2FlightCorporateFareCode6 = null, $subAgencyCode2 = null, $subAgencyTitle2 = null)
    {
        $this
            ->setHomeSubagencyEntityID($homeSubagencyEntityID)
            ->setIsBSPMarket0($isBSPMarket0)
            ->setCbsMarketID0($cbsMarketID0)
            ->setCbsSubagencyEntityID1($cbsSubagencyEntityID1)
            ->setIsBSPMarket1($isBSPMarket1)
            ->setCbsMarketID1($cbsMarketID1)
            ->setCbsSubagencyEntityID2($cbsSubagencyEntityID2)
            ->setIsBSPMarket2($isBSPMarket2)
            ->setCbsMarketID2($cbsMarketID2)
            ->setCbsLogic($cbsLogic)
            ->setCbsMarketTitle0($cbsMarketTitle0)
            ->setCbsMarketCode0($cbsMarketCode0)
            ->setSubAgencyOfficeID0($subAgencyOfficeID0)
            ->setSub0FlightCorporateFareCode1($sub0FlightCorporateFareCode1)
            ->setSub0FlightCorporateFareCode2($sub0FlightCorporateFareCode2)
            ->setSub0FlightCorporateFareCode3($sub0FlightCorporateFareCode3)
            ->setSub0FlightCorporateFareCode4($sub0FlightCorporateFareCode4)
            ->setSub0FlightCorporateFareCode5($sub0FlightCorporateFareCode5)
            ->setSub0FlightCorporateFareCode6($sub0FlightCorporateFareCode6)
            ->setSubAgencyCode0($subAgencyCode0)
            ->setSubAgencyTitle0($subAgencyTitle0)
            ->setCbsMarketTitle1($cbsMarketTitle1)
            ->setCbsMarketCode1($cbsMarketCode1)
            ->setSubAgencyOfficeID1($subAgencyOfficeID1)
            ->setSub1FlightCorporateFareCode1($sub1FlightCorporateFareCode1)
            ->setSub1FlightCorporateFareCode2($sub1FlightCorporateFareCode2)
            ->setSub1FlightCorporateFareCode3($sub1FlightCorporateFareCode3)
            ->setSub1FlightCorporateFareCode4($sub1FlightCorporateFareCode4)
            ->setSub1FlightCorporateFareCode5($sub1FlightCorporateFareCode5)
            ->setSub1FlightCorporateFareCode6($sub1FlightCorporateFareCode6)
            ->setSubAgencyCode1($subAgencyCode1)
            ->setSubAgencyTitle1($subAgencyTitle1)
            ->setCbsMarketTitle2($cbsMarketTitle2)
            ->setCbsMarketCode2($cbsMarketCode2)
            ->setSubAgencyOfficeID2($subAgencyOfficeID2)
            ->setSub2FlightCorporateFareCode1($sub2FlightCorporateFareCode1)
            ->setSub2FlightCorporateFareCode2($sub2FlightCorporateFareCode2)
            ->setSub2FlightCorporateFareCode3($sub2FlightCorporateFareCode3)
            ->setSub2FlightCorporateFareCode4($sub2FlightCorporateFareCode4)
            ->setSub2FlightCorporateFareCode5($sub2FlightCorporateFareCode5)
            ->setSub2FlightCorporateFareCode6($sub2FlightCorporateFareCode6)
            ->setSubAgencyCode2($subAgencyCode2)
            ->setSubAgencyTitle2($subAgencyTitle2);
    }
    /**
     * Get HomeSubagencyEntityID value
     * @return string
     */
    public function getHomeSubagencyEntityID()
    {
        return $this->HomeSubagencyEntityID;
    }
    /**
     * Set HomeSubagencyEntityID value
     * @param string $homeSubagencyEntityID
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setHomeSubagencyEntityID($homeSubagencyEntityID = null)
    {
        // validation for constraint: pattern
        if (is_scalar($homeSubagencyEntityID) && !preg_match('/[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}/', $homeSubagencyEntityID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a scalar value that matches "[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}", "%s" given', var_export($homeSubagencyEntityID, true)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($homeSubagencyEntityID) && !is_string($homeSubagencyEntityID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($homeSubagencyEntityID)), __LINE__);
        }
        $this->HomeSubagencyEntityID = $homeSubagencyEntityID;
        return $this;
    }
    /**
     * Get IsBSPMarket0 value
     * @return bool
     */
    public function getIsBSPMarket0()
    {
        return $this->IsBSPMarket0;
    }
    /**
     * Set IsBSPMarket0 value
     * @param bool $isBSPMarket0
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setIsBSPMarket0($isBSPMarket0 = null)
    {
        // validation for constraint: boolean
        if (!is_null($isBSPMarket0) && !is_bool($isBSPMarket0)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($isBSPMarket0)), __LINE__);
        }
        $this->IsBSPMarket0 = $isBSPMarket0;
        return $this;
    }
    /**
     * Get CbsMarketID0 value
     * @return string
     */
    public function getCbsMarketID0()
    {
        return $this->CbsMarketID0;
    }
    /**
     * Set CbsMarketID0 value
     * @param string $cbsMarketID0
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsMarketID0($cbsMarketID0 = null)
    {
        // validation for constraint: pattern
        if (is_scalar($cbsMarketID0) && !preg_match('/[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}/', $cbsMarketID0)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a scalar value that matches "[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}", "%s" given', var_export($cbsMarketID0, true)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($cbsMarketID0) && !is_string($cbsMarketID0)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsMarketID0)), __LINE__);
        }
        $this->CbsMarketID0 = $cbsMarketID0;
        return $this;
    }
    /**
     * Get CbsSubagencyEntityID1 value
     * @return string
     */
    public function getCbsSubagencyEntityID1()
    {
        return $this->CbsSubagencyEntityID1;
    }
    /**
     * Set CbsSubagencyEntityID1 value
     * @param string $cbsSubagencyEntityID1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsSubagencyEntityID1($cbsSubagencyEntityID1 = null)
    {
        // validation for constraint: pattern
        if (is_scalar($cbsSubagencyEntityID1) && !preg_match('/[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}/', $cbsSubagencyEntityID1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a scalar value that matches "[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}", "%s" given', var_export($cbsSubagencyEntityID1, true)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($cbsSubagencyEntityID1) && !is_string($cbsSubagencyEntityID1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsSubagencyEntityID1)), __LINE__);
        }
        $this->CbsSubagencyEntityID1 = $cbsSubagencyEntityID1;
        return $this;
    }
    /**
     * Get IsBSPMarket1 value
     * @return bool
     */
    public function getIsBSPMarket1()
    {
        return $this->IsBSPMarket1;
    }
    /**
     * Set IsBSPMarket1 value
     * @param bool $isBSPMarket1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setIsBSPMarket1($isBSPMarket1 = null)
    {
        // validation for constraint: boolean
        if (!is_null($isBSPMarket1) && !is_bool($isBSPMarket1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($isBSPMarket1)), __LINE__);
        }
        $this->IsBSPMarket1 = $isBSPMarket1;
        return $this;
    }
    /**
     * Get CbsMarketID1 value
     * @return string
     */
    public function getCbsMarketID1()
    {
        return $this->CbsMarketID1;
    }
    /**
     * Set CbsMarketID1 value
     * @param string $cbsMarketID1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsMarketID1($cbsMarketID1 = null)
    {
        // validation for constraint: pattern
        if (is_scalar($cbsMarketID1) && !preg_match('/[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}/', $cbsMarketID1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a scalar value that matches "[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}", "%s" given', var_export($cbsMarketID1, true)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($cbsMarketID1) && !is_string($cbsMarketID1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsMarketID1)), __LINE__);
        }
        $this->CbsMarketID1 = $cbsMarketID1;
        return $this;
    }
    /**
     * Get CbsSubagencyEntityID2 value
     * @return string
     */
    public function getCbsSubagencyEntityID2()
    {
        return $this->CbsSubagencyEntityID2;
    }
    /**
     * Set CbsSubagencyEntityID2 value
     * @param string $cbsSubagencyEntityID2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsSubagencyEntityID2($cbsSubagencyEntityID2 = null)
    {
        // validation for constraint: pattern
        if (is_scalar($cbsSubagencyEntityID2) && !preg_match('/[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}/', $cbsSubagencyEntityID2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a scalar value that matches "[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}", "%s" given', var_export($cbsSubagencyEntityID2, true)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($cbsSubagencyEntityID2) && !is_string($cbsSubagencyEntityID2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsSubagencyEntityID2)), __LINE__);
        }
        $this->CbsSubagencyEntityID2 = $cbsSubagencyEntityID2;
        return $this;
    }
    /**
     * Get IsBSPMarket2 value
     * @return bool
     */
    public function getIsBSPMarket2()
    {
        return $this->IsBSPMarket2;
    }
    /**
     * Set IsBSPMarket2 value
     * @param bool $isBSPMarket2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setIsBSPMarket2($isBSPMarket2 = null)
    {
        // validation for constraint: boolean
        if (!is_null($isBSPMarket2) && !is_bool($isBSPMarket2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($isBSPMarket2)), __LINE__);
        }
        $this->IsBSPMarket2 = $isBSPMarket2;
        return $this;
    }
    /**
     * Get CbsMarketID2 value
     * @return string
     */
    public function getCbsMarketID2()
    {
        return $this->CbsMarketID2;
    }
    /**
     * Set CbsMarketID2 value
     * @param string $cbsMarketID2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsMarketID2($cbsMarketID2 = null)
    {
        // validation for constraint: pattern
        if (is_scalar($cbsMarketID2) && !preg_match('/[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}/', $cbsMarketID2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a scalar value that matches "[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}", "%s" given', var_export($cbsMarketID2, true)), __LINE__);
        }
        // validation for constraint: string
        if (!is_null($cbsMarketID2) && !is_string($cbsMarketID2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsMarketID2)), __LINE__);
        }
        $this->CbsMarketID2 = $cbsMarketID2;
        return $this;
    }
    /**
     * Get CbsLogic value
     * @return string|null
     */
    public function getCbsLogic()
    {
        return $this->CbsLogic;
    }
    /**
     * Set CbsLogic value
     * @param string $cbsLogic
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsLogic($cbsLogic = null)
    {
        // validation for constraint: string
        if (!is_null($cbsLogic) && !is_string($cbsLogic)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsLogic)), __LINE__);
        }
        $this->CbsLogic = $cbsLogic;
        return $this;
    }
    /**
     * Get CbsMarketTitle0 value
     * @return string|null
     */
    public function getCbsMarketTitle0()
    {
        return $this->CbsMarketTitle0;
    }
    /**
     * Set CbsMarketTitle0 value
     * @param string $cbsMarketTitle0
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsMarketTitle0($cbsMarketTitle0 = null)
    {
        // validation for constraint: string
        if (!is_null($cbsMarketTitle0) && !is_string($cbsMarketTitle0)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsMarketTitle0)), __LINE__);
        }
        $this->CbsMarketTitle0 = $cbsMarketTitle0;
        return $this;
    }
    /**
     * Get CbsMarketCode0 value
     * @return string|null
     */
    public function getCbsMarketCode0()
    {
        return $this->CbsMarketCode0;
    }
    /**
     * Set CbsMarketCode0 value
     * @param string $cbsMarketCode0
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsMarketCode0($cbsMarketCode0 = null)
    {
        // validation for constraint: string
        if (!is_null($cbsMarketCode0) && !is_string($cbsMarketCode0)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsMarketCode0)), __LINE__);
        }
        $this->CbsMarketCode0 = $cbsMarketCode0;
        return $this;
    }
    /**
     * Get SubAgencyOfficeID0 value
     * @return string|null
     */
    public function getSubAgencyOfficeID0()
    {
        return $this->SubAgencyOfficeID0;
    }
    /**
     * Set SubAgencyOfficeID0 value
     * @param string $subAgencyOfficeID0
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSubAgencyOfficeID0($subAgencyOfficeID0 = null)
    {
        // validation for constraint: string
        if (!is_null($subAgencyOfficeID0) && !is_string($subAgencyOfficeID0)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($subAgencyOfficeID0)), __LINE__);
        }
        $this->SubAgencyOfficeID0 = $subAgencyOfficeID0;
        return $this;
    }
    /**
     * Get Sub0FlightCorporateFareCode1 value
     * @return string|null
     */
    public function getSub0FlightCorporateFareCode1()
    {
        return $this->Sub0FlightCorporateFareCode1;
    }
    /**
     * Set Sub0FlightCorporateFareCode1 value
     * @param string $sub0FlightCorporateFareCode1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub0FlightCorporateFareCode1($sub0FlightCorporateFareCode1 = null)
    {
        // validation for constraint: string
        if (!is_null($sub0FlightCorporateFareCode1) && !is_string($sub0FlightCorporateFareCode1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub0FlightCorporateFareCode1)), __LINE__);
        }
        $this->Sub0FlightCorporateFareCode1 = $sub0FlightCorporateFareCode1;
        return $this;
    }
    /**
     * Get Sub0FlightCorporateFareCode2 value
     * @return string|null
     */
    public function getSub0FlightCorporateFareCode2()
    {
        return $this->Sub0FlightCorporateFareCode2;
    }
    /**
     * Set Sub0FlightCorporateFareCode2 value
     * @param string $sub0FlightCorporateFareCode2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub0FlightCorporateFareCode2($sub0FlightCorporateFareCode2 = null)
    {
        // validation for constraint: string
        if (!is_null($sub0FlightCorporateFareCode2) && !is_string($sub0FlightCorporateFareCode2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub0FlightCorporateFareCode2)), __LINE__);
        }
        $this->Sub0FlightCorporateFareCode2 = $sub0FlightCorporateFareCode2;
        return $this;
    }
    /**
     * Get Sub0FlightCorporateFareCode3 value
     * @return string|null
     */
    public function getSub0FlightCorporateFareCode3()
    {
        return $this->Sub0FlightCorporateFareCode3;
    }
    /**
     * Set Sub0FlightCorporateFareCode3 value
     * @param string $sub0FlightCorporateFareCode3
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub0FlightCorporateFareCode3($sub0FlightCorporateFareCode3 = null)
    {
        // validation for constraint: string
        if (!is_null($sub0FlightCorporateFareCode3) && !is_string($sub0FlightCorporateFareCode3)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub0FlightCorporateFareCode3)), __LINE__);
        }
        $this->Sub0FlightCorporateFareCode3 = $sub0FlightCorporateFareCode3;
        return $this;
    }
    /**
     * Get Sub0FlightCorporateFareCode4 value
     * @return string|null
     */
    public function getSub0FlightCorporateFareCode4()
    {
        return $this->Sub0FlightCorporateFareCode4;
    }
    /**
     * Set Sub0FlightCorporateFareCode4 value
     * @param string $sub0FlightCorporateFareCode4
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub0FlightCorporateFareCode4($sub0FlightCorporateFareCode4 = null)
    {
        // validation for constraint: string
        if (!is_null($sub0FlightCorporateFareCode4) && !is_string($sub0FlightCorporateFareCode4)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub0FlightCorporateFareCode4)), __LINE__);
        }
        $this->Sub0FlightCorporateFareCode4 = $sub0FlightCorporateFareCode4;
        return $this;
    }
    /**
     * Get Sub0FlightCorporateFareCode5 value
     * @return string|null
     */
    public function getSub0FlightCorporateFareCode5()
    {
        return $this->Sub0FlightCorporateFareCode5;
    }
    /**
     * Set Sub0FlightCorporateFareCode5 value
     * @param string $sub0FlightCorporateFareCode5
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub0FlightCorporateFareCode5($sub0FlightCorporateFareCode5 = null)
    {
        // validation for constraint: string
        if (!is_null($sub0FlightCorporateFareCode5) && !is_string($sub0FlightCorporateFareCode5)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub0FlightCorporateFareCode5)), __LINE__);
        }
        $this->Sub0FlightCorporateFareCode5 = $sub0FlightCorporateFareCode5;
        return $this;
    }
    /**
     * Get Sub0FlightCorporateFareCode6 value
     * @return string|null
     */
    public function getSub0FlightCorporateFareCode6()
    {
        return $this->Sub0FlightCorporateFareCode6;
    }
    /**
     * Set Sub0FlightCorporateFareCode6 value
     * @param string $sub0FlightCorporateFareCode6
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub0FlightCorporateFareCode6($sub0FlightCorporateFareCode6 = null)
    {
        // validation for constraint: string
        if (!is_null($sub0FlightCorporateFareCode6) && !is_string($sub0FlightCorporateFareCode6)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub0FlightCorporateFareCode6)), __LINE__);
        }
        $this->Sub0FlightCorporateFareCode6 = $sub0FlightCorporateFareCode6;
        return $this;
    }
    /**
     * Get SubAgencyCode0 value
     * @return string|null
     */
    public function getSubAgencyCode0()
    {
        return $this->SubAgencyCode0;
    }
    /**
     * Set SubAgencyCode0 value
     * @param string $subAgencyCode0
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSubAgencyCode0($subAgencyCode0 = null)
    {
        // validation for constraint: string
        if (!is_null($subAgencyCode0) && !is_string($subAgencyCode0)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($subAgencyCode0)), __LINE__);
        }
        $this->SubAgencyCode0 = $subAgencyCode0;
        return $this;
    }
    /**
     * Get SubAgencyTitle0 value
     * @return string|null
     */
    public function getSubAgencyTitle0()
    {
        return $this->SubAgencyTitle0;
    }
    /**
     * Set SubAgencyTitle0 value
     * @param string $subAgencyTitle0
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSubAgencyTitle0($subAgencyTitle0 = null)
    {
        // validation for constraint: string
        if (!is_null($subAgencyTitle0) && !is_string($subAgencyTitle0)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($subAgencyTitle0)), __LINE__);
        }
        $this->SubAgencyTitle0 = $subAgencyTitle0;
        return $this;
    }
    /**
     * Get CbsMarketTitle1 value
     * @return string|null
     */
    public function getCbsMarketTitle1()
    {
        return $this->CbsMarketTitle1;
    }
    /**
     * Set CbsMarketTitle1 value
     * @param string $cbsMarketTitle1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsMarketTitle1($cbsMarketTitle1 = null)
    {
        // validation for constraint: string
        if (!is_null($cbsMarketTitle1) && !is_string($cbsMarketTitle1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsMarketTitle1)), __LINE__);
        }
        $this->CbsMarketTitle1 = $cbsMarketTitle1;
        return $this;
    }
    /**
     * Get CbsMarketCode1 value
     * @return string|null
     */
    public function getCbsMarketCode1()
    {
        return $this->CbsMarketCode1;
    }
    /**
     * Set CbsMarketCode1 value
     * @param string $cbsMarketCode1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsMarketCode1($cbsMarketCode1 = null)
    {
        // validation for constraint: string
        if (!is_null($cbsMarketCode1) && !is_string($cbsMarketCode1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsMarketCode1)), __LINE__);
        }
        $this->CbsMarketCode1 = $cbsMarketCode1;
        return $this;
    }
    /**
     * Get SubAgencyOfficeID1 value
     * @return string|null
     */
    public function getSubAgencyOfficeID1()
    {
        return $this->SubAgencyOfficeID1;
    }
    /**
     * Set SubAgencyOfficeID1 value
     * @param string $subAgencyOfficeID1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSubAgencyOfficeID1($subAgencyOfficeID1 = null)
    {
        // validation for constraint: string
        if (!is_null($subAgencyOfficeID1) && !is_string($subAgencyOfficeID1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($subAgencyOfficeID1)), __LINE__);
        }
        $this->SubAgencyOfficeID1 = $subAgencyOfficeID1;
        return $this;
    }
    /**
     * Get Sub1FlightCorporateFareCode1 value
     * @return string|null
     */
    public function getSub1FlightCorporateFareCode1()
    {
        return $this->Sub1FlightCorporateFareCode1;
    }
    /**
     * Set Sub1FlightCorporateFareCode1 value
     * @param string $sub1FlightCorporateFareCode1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub1FlightCorporateFareCode1($sub1FlightCorporateFareCode1 = null)
    {
        // validation for constraint: string
        if (!is_null($sub1FlightCorporateFareCode1) && !is_string($sub1FlightCorporateFareCode1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub1FlightCorporateFareCode1)), __LINE__);
        }
        $this->Sub1FlightCorporateFareCode1 = $sub1FlightCorporateFareCode1;
        return $this;
    }
    /**
     * Get Sub1FlightCorporateFareCode2 value
     * @return string|null
     */
    public function getSub1FlightCorporateFareCode2()
    {
        return $this->Sub1FlightCorporateFareCode2;
    }
    /**
     * Set Sub1FlightCorporateFareCode2 value
     * @param string $sub1FlightCorporateFareCode2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub1FlightCorporateFareCode2($sub1FlightCorporateFareCode2 = null)
    {
        // validation for constraint: string
        if (!is_null($sub1FlightCorporateFareCode2) && !is_string($sub1FlightCorporateFareCode2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub1FlightCorporateFareCode2)), __LINE__);
        }
        $this->Sub1FlightCorporateFareCode2 = $sub1FlightCorporateFareCode2;
        return $this;
    }
    /**
     * Get Sub1FlightCorporateFareCode3 value
     * @return string|null
     */
    public function getSub1FlightCorporateFareCode3()
    {
        return $this->Sub1FlightCorporateFareCode3;
    }
    /**
     * Set Sub1FlightCorporateFareCode3 value
     * @param string $sub1FlightCorporateFareCode3
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub1FlightCorporateFareCode3($sub1FlightCorporateFareCode3 = null)
    {
        // validation for constraint: string
        if (!is_null($sub1FlightCorporateFareCode3) && !is_string($sub1FlightCorporateFareCode3)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub1FlightCorporateFareCode3)), __LINE__);
        }
        $this->Sub1FlightCorporateFareCode3 = $sub1FlightCorporateFareCode3;
        return $this;
    }
    /**
     * Get Sub1FlightCorporateFareCode4 value
     * @return string|null
     */
    public function getSub1FlightCorporateFareCode4()
    {
        return $this->Sub1FlightCorporateFareCode4;
    }
    /**
     * Set Sub1FlightCorporateFareCode4 value
     * @param string $sub1FlightCorporateFareCode4
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub1FlightCorporateFareCode4($sub1FlightCorporateFareCode4 = null)
    {
        // validation for constraint: string
        if (!is_null($sub1FlightCorporateFareCode4) && !is_string($sub1FlightCorporateFareCode4)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub1FlightCorporateFareCode4)), __LINE__);
        }
        $this->Sub1FlightCorporateFareCode4 = $sub1FlightCorporateFareCode4;
        return $this;
    }
    /**
     * Get Sub1FlightCorporateFareCode5 value
     * @return string|null
     */
    public function getSub1FlightCorporateFareCode5()
    {
        return $this->Sub1FlightCorporateFareCode5;
    }
    /**
     * Set Sub1FlightCorporateFareCode5 value
     * @param string $sub1FlightCorporateFareCode5
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub1FlightCorporateFareCode5($sub1FlightCorporateFareCode5 = null)
    {
        // validation for constraint: string
        if (!is_null($sub1FlightCorporateFareCode5) && !is_string($sub1FlightCorporateFareCode5)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub1FlightCorporateFareCode5)), __LINE__);
        }
        $this->Sub1FlightCorporateFareCode5 = $sub1FlightCorporateFareCode5;
        return $this;
    }
    /**
     * Get Sub1FlightCorporateFareCode6 value
     * @return string|null
     */
    public function getSub1FlightCorporateFareCode6()
    {
        return $this->Sub1FlightCorporateFareCode6;
    }
    /**
     * Set Sub1FlightCorporateFareCode6 value
     * @param string $sub1FlightCorporateFareCode6
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub1FlightCorporateFareCode6($sub1FlightCorporateFareCode6 = null)
    {
        // validation for constraint: string
        if (!is_null($sub1FlightCorporateFareCode6) && !is_string($sub1FlightCorporateFareCode6)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub1FlightCorporateFareCode6)), __LINE__);
        }
        $this->Sub1FlightCorporateFareCode6 = $sub1FlightCorporateFareCode6;
        return $this;
    }
    /**
     * Get SubAgencyCode1 value
     * @return string|null
     */
    public function getSubAgencyCode1()
    {
        return $this->SubAgencyCode1;
    }
    /**
     * Set SubAgencyCode1 value
     * @param string $subAgencyCode1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSubAgencyCode1($subAgencyCode1 = null)
    {
        // validation for constraint: string
        if (!is_null($subAgencyCode1) && !is_string($subAgencyCode1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($subAgencyCode1)), __LINE__);
        }
        $this->SubAgencyCode1 = $subAgencyCode1;
        return $this;
    }
    /**
     * Get SubAgencyTitle1 value
     * @return string|null
     */
    public function getSubAgencyTitle1()
    {
        return $this->SubAgencyTitle1;
    }
    /**
     * Set SubAgencyTitle1 value
     * @param string $subAgencyTitle1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSubAgencyTitle1($subAgencyTitle1 = null)
    {
        // validation for constraint: string
        if (!is_null($subAgencyTitle1) && !is_string($subAgencyTitle1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($subAgencyTitle1)), __LINE__);
        }
        $this->SubAgencyTitle1 = $subAgencyTitle1;
        return $this;
    }
    /**
     * Get CbsMarketTitle2 value
     * @return string|null
     */
    public function getCbsMarketTitle2()
    {
        return $this->CbsMarketTitle2;
    }
    /**
     * Set CbsMarketTitle2 value
     * @param string $cbsMarketTitle2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsMarketTitle2($cbsMarketTitle2 = null)
    {
        // validation for constraint: string
        if (!is_null($cbsMarketTitle2) && !is_string($cbsMarketTitle2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsMarketTitle2)), __LINE__);
        }
        $this->CbsMarketTitle2 = $cbsMarketTitle2;
        return $this;
    }
    /**
     * Get CbsMarketCode2 value
     * @return string|null
     */
    public function getCbsMarketCode2()
    {
        return $this->CbsMarketCode2;
    }
    /**
     * Set CbsMarketCode2 value
     * @param string $cbsMarketCode2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setCbsMarketCode2($cbsMarketCode2 = null)
    {
        // validation for constraint: string
        if (!is_null($cbsMarketCode2) && !is_string($cbsMarketCode2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cbsMarketCode2)), __LINE__);
        }
        $this->CbsMarketCode2 = $cbsMarketCode2;
        return $this;
    }
    /**
     * Get SubAgencyOfficeID2 value
     * @return string|null
     */
    public function getSubAgencyOfficeID2()
    {
        return $this->SubAgencyOfficeID2;
    }
    /**
     * Set SubAgencyOfficeID2 value
     * @param string $subAgencyOfficeID2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSubAgencyOfficeID2($subAgencyOfficeID2 = null)
    {
        // validation for constraint: string
        if (!is_null($subAgencyOfficeID2) && !is_string($subAgencyOfficeID2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($subAgencyOfficeID2)), __LINE__);
        }
        $this->SubAgencyOfficeID2 = $subAgencyOfficeID2;
        return $this;
    }
    /**
     * Get Sub2FlightCorporateFareCode1 value
     * @return string|null
     */
    public function getSub2FlightCorporateFareCode1()
    {
        return $this->Sub2FlightCorporateFareCode1;
    }
    /**
     * Set Sub2FlightCorporateFareCode1 value
     * @param string $sub2FlightCorporateFareCode1
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub2FlightCorporateFareCode1($sub2FlightCorporateFareCode1 = null)
    {
        // validation for constraint: string
        if (!is_null($sub2FlightCorporateFareCode1) && !is_string($sub2FlightCorporateFareCode1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub2FlightCorporateFareCode1)), __LINE__);
        }
        $this->Sub2FlightCorporateFareCode1 = $sub2FlightCorporateFareCode1;
        return $this;
    }
    /**
     * Get Sub2FlightCorporateFareCode2 value
     * @return string|null
     */
    public function getSub2FlightCorporateFareCode2()
    {
        return $this->Sub2FlightCorporateFareCode2;
    }
    /**
     * Set Sub2FlightCorporateFareCode2 value
     * @param string $sub2FlightCorporateFareCode2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub2FlightCorporateFareCode2($sub2FlightCorporateFareCode2 = null)
    {
        // validation for constraint: string
        if (!is_null($sub2FlightCorporateFareCode2) && !is_string($sub2FlightCorporateFareCode2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub2FlightCorporateFareCode2)), __LINE__);
        }
        $this->Sub2FlightCorporateFareCode2 = $sub2FlightCorporateFareCode2;
        return $this;
    }
    /**
     * Get Sub2FlightCorporateFareCode3 value
     * @return string|null
     */
    public function getSub2FlightCorporateFareCode3()
    {
        return $this->Sub2FlightCorporateFareCode3;
    }
    /**
     * Set Sub2FlightCorporateFareCode3 value
     * @param string $sub2FlightCorporateFareCode3
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub2FlightCorporateFareCode3($sub2FlightCorporateFareCode3 = null)
    {
        // validation for constraint: string
        if (!is_null($sub2FlightCorporateFareCode3) && !is_string($sub2FlightCorporateFareCode3)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub2FlightCorporateFareCode3)), __LINE__);
        }
        $this->Sub2FlightCorporateFareCode3 = $sub2FlightCorporateFareCode3;
        return $this;
    }
    /**
     * Get Sub2FlightCorporateFareCode4 value
     * @return string|null
     */
    public function getSub2FlightCorporateFareCode4()
    {
        return $this->Sub2FlightCorporateFareCode4;
    }
    /**
     * Set Sub2FlightCorporateFareCode4 value
     * @param string $sub2FlightCorporateFareCode4
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub2FlightCorporateFareCode4($sub2FlightCorporateFareCode4 = null)
    {
        // validation for constraint: string
        if (!is_null($sub2FlightCorporateFareCode4) && !is_string($sub2FlightCorporateFareCode4)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub2FlightCorporateFareCode4)), __LINE__);
        }
        $this->Sub2FlightCorporateFareCode4 = $sub2FlightCorporateFareCode4;
        return $this;
    }
    /**
     * Get Sub2FlightCorporateFareCode5 value
     * @return string|null
     */
    public function getSub2FlightCorporateFareCode5()
    {
        return $this->Sub2FlightCorporateFareCode5;
    }
    /**
     * Set Sub2FlightCorporateFareCode5 value
     * @param string $sub2FlightCorporateFareCode5
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub2FlightCorporateFareCode5($sub2FlightCorporateFareCode5 = null)
    {
        // validation for constraint: string
        if (!is_null($sub2FlightCorporateFareCode5) && !is_string($sub2FlightCorporateFareCode5)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub2FlightCorporateFareCode5)), __LINE__);
        }
        $this->Sub2FlightCorporateFareCode5 = $sub2FlightCorporateFareCode5;
        return $this;
    }
    /**
     * Get Sub2FlightCorporateFareCode6 value
     * @return string|null
     */
    public function getSub2FlightCorporateFareCode6()
    {
        return $this->Sub2FlightCorporateFareCode6;
    }
    /**
     * Set Sub2FlightCorporateFareCode6 value
     * @param string $sub2FlightCorporateFareCode6
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSub2FlightCorporateFareCode6($sub2FlightCorporateFareCode6 = null)
    {
        // validation for constraint: string
        if (!is_null($sub2FlightCorporateFareCode6) && !is_string($sub2FlightCorporateFareCode6)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sub2FlightCorporateFareCode6)), __LINE__);
        }
        $this->Sub2FlightCorporateFareCode6 = $sub2FlightCorporateFareCode6;
        return $this;
    }
    /**
     * Get SubAgencyCode2 value
     * @return string|null
     */
    public function getSubAgencyCode2()
    {
        return $this->SubAgencyCode2;
    }
    /**
     * Set SubAgencyCode2 value
     * @param string $subAgencyCode2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSubAgencyCode2($subAgencyCode2 = null)
    {
        // validation for constraint: string
        if (!is_null($subAgencyCode2) && !is_string($subAgencyCode2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($subAgencyCode2)), __LINE__);
        }
        $this->SubAgencyCode2 = $subAgencyCode2;
        return $this;
    }
    /**
     * Get SubAgencyTitle2 value
     * @return string|null
     */
    public function getSubAgencyTitle2()
    {
        return $this->SubAgencyTitle2;
    }
    /**
     * Set SubAgencyTitle2 value
     * @param string $subAgencyTitle2
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public function setSubAgencyTitle2($subAgencyTitle2 = null)
    {
        // validation for constraint: string
        if (!is_null($subAgencyTitle2) && !is_string($subAgencyTitle2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($subAgencyTitle2)), __LINE__);
        }
        $this->SubAgencyTitle2 = $subAgencyTitle2;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgCrossBoarderSearchSetting
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
